HUGO-GEN-CHROMASTYLES(1)

NAME
hugo-gen-chromastyles - Generate CSS stylesheet for the Chroma code highlighter

SYNOPSIS
hugo gen chromastyles [flags] [args]

DESCRIPTION
Generate CSS stylesheet for the Chroma code highlighter for a given style. This stylesheet is needed if markup.highlight.noClasses is disabled in config.

See https://gohugo.io/quick-reference/syntax-highlighting-styles/ for a preview of the available styles.

OPTIONS
-h, --help[=false]
    help for chromastyles

--highlightStyle=""
    foreground and background colors for highlighted lines, e.g. --highlightStyle "#fff000 bg:#000fff"

--lineNumbersInlineStyle=""
    foreground and background colors for inline line numbers, e.g. --lineNumbersInlineStyle "#fff000 bg:#000fff"

--lineNumbersTableStyle=""
    foreground and background colors for table line numbers, e.g. --lineNumbersTableStyle "#fff000 bg:#000fff"

--omitClassComments[=false]
    omit CSS class comment prefixes in the generated CSS

--omitEmpty[=false]
    omit empty CSS rules (deprecated, no longer needed)

--style="friendly"
    highlighter style

OPTIONS INHERITED FROM PARENT COMMANDS
--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--noBuildLock[=false]
    don't create .hugo_build.lock file

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

SEE ALSO
hugo-gen(1)